# json-c: arraylist.h File Reference

# arraylist.h File Reference

## Data Structures

struct | array_list

## Defines

#define | ARRAY_LIST_DEFAULT_SIZE 32

## Typedefs

typedef void( | array_list_free_fn )(void *data)

## Functions

struct array_list * | array_list_new (array_list_free_fn *free_fn)
void | array_list_free (struct array_list *al)
void * | array_list_get_idx (struct array_list *al, int i)
int | array_list_put_idx (struct array_list *al, int i, void *data)
int | array_list_add (struct array_list *al, void *data)
int | array_list_length (struct array_list *al)
void | array_list_sort (struct array_list *arr, int(*compar)(const void *, const void *))

## Define Documentation

#define ARRAY_LIST_DEFAULT_SIZE 32

## Typedef Documentation

typedef void( array_list_free_fn)(void *data)

## Function Documentation

int array_list_add | ( | struct array_list * | al,
|  | void * | data |
| ) |  |  |

void array_list_free | ( | struct array_list * | al | ) |

void* array_list_get_idx | ( | struct array_list * | al,
|  | int | i |
| ) |  |  |

int array_list_length | ( | struct array_list * | al | ) |

struct array_list* array_list_new | ( | array_list_free_fn * | free_fn | ) | `[read]`

int array_list_put_idx | ( | struct array_list * | al,
|  | int | i,
|  | void * | data |
| ) |  |  |

void array_list_sort | ( | struct array_list * | arr,
|  | int(*)(const void *, const void *) | compar |
| ) |  |  |